Index: src/edu/ucsb/nceas/metacat/DocumentImpl.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/DocumentImpl.java	(revision 4698)
@@ -59,7 +59,7 @@
 import edu.ucsb.nceas.metacat.service.XMLSchemaService;
 import edu.ucsb.nceas.metacat.spatial.SpatialHarvester;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
@@ -183,8 +183,8 @@
     {
         try {
             //this.conn = conn;
-            this.docid = MetaCatUtil.getDocIdFromAccessionNumber(accNum);
-            this.rev   = MetaCatUtil.getRevisionFromAccessionNumber(accNum);
+            this.docid = MetacatUtil.getDocIdFromAccessionNumber(accNum);
+            this.rev   = MetacatUtil.getRevisionFromAccessionNumber(accNum);
 
             // Look up the document information
             getDocumentInfo(docid, rev);
@@ -334,8 +334,8 @@
             serialNumber = conn.getCheckOutSerialNumber();
             conn.setAutoCommit(false);
             String action = null;
-            String docIdWithoutRev = MetaCatUtil.getDocIdFromAccessionNumber(accnum);
-            int userSpecifyRev = MetaCatUtil.getRevisionFromAccessionNumber(accnum);
+            String docIdWithoutRev = MetacatUtil.getDocIdFromAccessionNumber(accnum);
+            int userSpecifyRev = MetacatUtil.getRevisionFromAccessionNumber(accnum);
             action = checkRevInXMLDocuments(docIdWithoutRev, userSpecifyRev);
             logMetacat.warn("after check rev, the action is "+action);
             if (action.equals("UPDATE"))
@@ -414,8 +414,8 @@
             serialNumber = conn.getCheckOutSerialNumber();
             conn.setAutoCommit(false);
             String action = null;
-            String docIdWithoutRev = MetaCatUtil.getDocIdFromAccessionNumber(accnum);
-            int userSpecifyRev = MetaCatUtil.getRevisionFromAccessionNumber(accnum);
+            String docIdWithoutRev = MetacatUtil.getDocIdFromAccessionNumber(accnum);
+            int userSpecifyRev = MetacatUtil.getRevisionFromAccessionNumber(accnum);
             if (tableName.equals(DOCUMENTTABLE))
             {
                 action = checkRevInXMLDocuments(docIdWithoutRev, userSpecifyRev);
@@ -743,8 +743,8 @@
             throws Exception
     {
         boolean flag = true;
-        String docid = MetaCatUtil.getDocIdFromString(accnum);
-        int rev = MetaCatUtil.getVersionFromString(accnum);
+        String docid = MetacatUtil.getDocIdFromString(accnum);
+        int rev = MetacatUtil.getVersionFromString(accnum);
 
         if (serverCode == 1) {
             flag = true;
@@ -764,7 +764,7 @@
                     .getServerNameForServerCode(serverCode);
             MetacatReplication.replLog("attempting to lock " + accnum);
             URL u = new URL("https://" + server + "?server="
-                    + MetaCatUtil.getLocalReplicationServerName()
+                    + MetacatUtil.getLocalReplicationServerName()
                     + "&action=getlock&updaterev=" + rev + "&docid=" + docid);
             //System.out.println("sending message: " + u.toString());
             String serverResStr = MetacatReplication.getURLContent(u);
@@ -1195,7 +1195,7 @@
                     // if it is inline data first to get the inline data
                     // internal id
                     String fileName = currentNode.getNodeData();
-                    String accessfileName = MetaCatUtil
+                    String accessfileName = MetacatUtil
                             .getDocIdWithoutRevFromInlineDataID(fileName);
                     // check if user has read permision for this inline data
                     boolean readInlinedata = false;
@@ -1724,7 +1724,7 @@
                       currentName, docid, doctype, parentId));
                   }
                 }
-                if( MetaCatUtil.pathsForIndexing.contains(currentName) &&
+                if( MetacatUtil.pathsForIndexing.contains(currentName) &&
                     leafData.trim().length() != 0 ){
                 	logMetacat.debug("paths found for indexing: " + currentName);
                 	pathsFoundForIndexing.put(currentName, new PathIndexEntry(
@@ -1748,7 +1748,7 @@
                 logMetacat.debug("B: " + path +"\n");
                 pathList.put(path, new PathIndexEntry(leafNodeId, path, docid,
                     doctype, parentId));
-                if( MetaCatUtil.pathsForIndexing.contains(path) &&
+                if( MetacatUtil.pathsForIndexing.contains(path) &&
                     leafData.trim().length() != 0 ){
                 	logMetacat.debug("paths found for indexing: " + currentName);
                 	pathsFoundForIndexing.put(path, new PathIndexEntry(
@@ -1765,7 +1765,7 @@
                 logMetacat.debug("C: " + fullPath +"\n");
                 pathList.put(fullPath, new PathIndexEntry(leafNodeId, fullPath,
                     docid, doctype, parentId));
-                if( MetaCatUtil.pathsForIndexing.contains(fullPath) &&
+                if( MetacatUtil.pathsForIndexing.contains(fullPath) &&
                    leafData.trim().length() != 0 ){
                 	logMetacat.debug("paths found for indexing: " + currentName);
                 	pathsFoundForIndexing.put(fullPath, new PathIndexEntry(
@@ -1785,7 +1785,7 @@
      */
     private void deleteNodeIndex(DBConnection conn) throws SQLException
     {
-        //String familyId = MetaCatUtil.getDocIdFromString(docid);
+        //String familyId = MetacatUtil.getDocIdFromString(docid);
     	double start = System.currentTimeMillis()/1000;
         String familyId = docid;
         String sql = "DELETE FROM xml_index WHERE docid = ?";
@@ -2054,7 +2054,7 @@
                 if (!server.equals("localhost")) {
                     this.docHomeServer = server;
                 } else {
-                    this.docHomeServer = MetaCatUtil
+                    this.docHomeServer = MetacatUtil
                             .getLocalReplicationServerName();
                 }
                 logMetacat.info("server: " + docHomeServer);
@@ -2173,7 +2173,7 @@
                 try
                 {
                 	logMetacat.debug("Node data in read process before normalize=== "+nodedata);
-                	nodedata = MetaCatUtil.normalize(nodedata);
+                	nodedata = MetacatUtil.normalize(nodedata);
                 	logMetacat.debug("Node data in read process after normalize==== "+nodedata);
                 } catch (java.lang.StringIndexOutOfBoundsException SIO){
                 	logMetacat.warn("StringIndexOutOfBoundsException in normalize() while reading the document");
@@ -2538,13 +2538,13 @@
             }
 
             //DocumentIdentifier id = new DocumentIdentifier(accnum);
-            int revision = MetaCatUtil.getRevisionFromAccessionNumber(accnum);
+            int revision = MetacatUtil.getRevisionFromAccessionNumber(accnum);
             String updaterev = (new Integer(revision)).toString();
             String server = MetacatReplication
                     .getServerNameForServerCode(serverCode);
             MetacatReplication.replLog("attempting to lock " + accnum);
             URL u = new URL("https://" + server + "?server="
-                    + MetaCatUtil.getLocalReplicationServerName()
+                    + MetacatUtil.getLocalReplicationServerName()
                     + "&action=getlock&updaterev=" + updaterev + "&docid="
                     + docid);
             //System.out.println("sending message: " + u.toString());
@@ -2769,10 +2769,10 @@
         String catalogId = null;
         logMetacat.info("user in replication" + user);
         // Docid without revision
-        String docid = MetaCatUtil.getDocIdFromAccessionNumber(accnum);
+        String docid = MetacatUtil.getDocIdFromAccessionNumber(accnum);
         logMetacat.warn("The docid without rev is " + docid);
         // Revision specified by user (int)
-        int userSpecifyRev = MetaCatUtil.getRevisionFromAccessionNumber(accnum);
+        int userSpecifyRev = MetacatUtil.getRevisionFromAccessionNumber(accnum);
         logMetacat.warn("The user specifyRev: " + userSpecifyRev);
         // Revision for this docid in current database
         int revInDataBase = DBUtil.getLatestRevisionInDocumentTable(docid);
@@ -2921,9 +2921,9 @@
         try {
             String packagedoctype = PropertyService.getProperty("xml.packagedoctype");
             Vector<String> packagedoctypes = new Vector<String>();
-            packagedoctypes = MetaCatUtil.getOptionList(packagedoctype);
-            String docIdWithoutRev = MetaCatUtil.getDocIdFromAccessionNumber(accnumber);
-            int revision = MetaCatUtil.getRevisionFromAccessionNumber(accnumber);
+            packagedoctypes = MetacatUtil.getOptionList(packagedoctype);
+            String docIdWithoutRev = MetacatUtil.getDocIdFromAccessionNumber(accnumber);
+            int revision = MetacatUtil.getRevisionFromAccessionNumber(accnumber);
             if (documenttype != null &&
                     packagedoctypes.contains(documenttype)) {
                 dbconn = DBConnectionPool.getDBConnection(
@@ -2934,8 +2934,8 @@
                 String aclidWithRev = RelationHandler.getAccessFileIDWithRevision(docIdWithoutRev);
                 if (aclidWithRev != null)
                 {
-                  String aclid = MetaCatUtil.getDocIdFromAccessionNumber(aclidWithRev);
-                  revision = MetaCatUtil.getRevisionFromAccessionNumber(aclidWithRev);
+                  String aclid = MetacatUtil.getDocIdFromAccessionNumber(aclidWithRev);
+                  revision = MetacatUtil.getRevisionFromAccessionNumber(aclidWithRev);
                  
                   // if there are access file, write ACL for that package
                   if (aclid != null) {
@@ -2948,7 +2948,7 @@
             }
             // if it is an access file
             else if (documenttype != null
-                    && MetaCatUtil.getOptionList(
+                    && MetacatUtil.getOptionList(
                             PropertyService.getProperty("xml.accessdoctype")).contains(
                             documenttype)) {
                 dbconn = DBConnectionPool.getDBConnection(
@@ -3003,7 +3003,7 @@
         int serialNumber = -1;
         try {
             //get rid of revision number
-            docid = MetaCatUtil.getDocIdFromString(accnumber);
+            docid = MetacatUtil.getDocIdFromString(accnumber);
             dbConnection = DBConnectionPool.getDBConnection(
                     "DocumentImpl.getDocTypeFromDBForCurrentDoc");
             serialNumber = dbConnection.getCheckOutSerialNumber();
@@ -3057,7 +3057,7 @@
             // NEW - WHEN CLIENT ALWAYS PROVIDE ACCESSION NUMBER INCLUDING REV
             // IN IT
             //AccessionNumber ac = new AccessionNumber(accnum, "DELETE");
-            String docid = MetaCatUtil.getDocIdFromAccessionNumber(accnum);
+            String docid = MetacatUtil.getDocIdFromAccessionNumber(accnum);
             //String rev = ac.getRev();
 
             // Check if the document exists.
@@ -3655,7 +3655,7 @@
             throws SQLException
     {
         //get rid of revNum part
-        String docId = MetaCatUtil.getDocIdFromString(accNum);
+        String docId = MetacatUtil.getDocIdFromString(accNum);
         PreparedStatement pStmt = null;
         int serverLocation = 1;
         DBConnection conn = null;
@@ -3717,7 +3717,7 @@
         int serialNumber = -1;
 
         //we should consider about local host too
-        if (serverName.equals(MetaCatUtil.getLocalReplicationServerName())) {
+        if (serverName.equals(MetacatUtil.getLocalReplicationServerName())) {
             serverLocation = 1;
             return serverLocation;
         }
@@ -3801,7 +3801,7 @@
             // If the server is not in the table, and server is not local host,
             // insert it
             if (!hasRow
-                    && !server.equals(MetaCatUtil
+                    && !server.equals(MetacatUtil
                             .getLocalReplicationServerName())) {
                 // Set auto commit false
                 dbConn.setAutoCommit(false);
@@ -4139,9 +4139,9 @@
             dbconn = DBConnectionPool.getDBConnection(
                     "DeletedDocumentImpl.registerDeletedDataFile");
             serialNumber = dbconn.getCheckOutSerialNumber();
-            String docIdWithoutRev = MetaCatUtil
+            String docIdWithoutRev = MetacatUtil
                     .getDocIdFromAccessionNumber(accnum);
-            String rev = MetaCatUtil.getRevisionStringFromString(accnum);
+            String rev = MetacatUtil.getRevisionStringFromString(accnum);
             writeDocumentToRevisionTable(dbconn, docIdWithoutRev, 
                     rev, doctype, docname, user,
                     null, serverCode, -1, createDate, updateDate); 
Index: src/edu/ucsb/nceas/metacat/ReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/ReplicationHandler.java	(revision 4698)
@@ -28,7 +28,7 @@
 
 import edu.ucsb.nceas.metacat.service.DatabaseService;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import java.sql.*;
@@ -64,7 +64,7 @@
   int serverCheckCode = 1;
   ReplicationServerList serverList = null;
   //PrintWriter out;
-//  private static final AbstractDatabase dbAdapter = MetaCatUtil.dbAdapter;
+//  private static final AbstractDatabase dbAdapter = MetacatUtil.dbAdapter;
   private static Logger logMetacat = Logger.getLogger(ReplicationHandler.class);
   private static int DOCINSERTNUMBER = 1;
   private static int DOCERRORNUMBER  = 1;
@@ -154,7 +154,7 @@
         try
         {
           u = new URL("https://" + server + "?server="
-          +MetaCatUtil.getLocalReplicationServerName()+"&action=update");
+          +MetacatUtil.getLocalReplicationServerName()+"&action=update");
           logMetacat.info("Sending infomation " +u.toString());
           result = MetacatReplication.getURLContent(u);
         }
@@ -298,8 +298,8 @@
       serialNumber=dbConn.getCheckOutSerialNumber();
       //if the document needs to be updated or inserted, this is executed
       String readDocURLString = "https://" + remoteserver + "?server="+
-              MetaCatUtil.getLocalReplicationServerName()+"&action=read&docid="+accNumber;
-      readDocURLString = MetaCatUtil.replaceWhiteSpaceForURL(readDocURLString);
+              MetacatUtil.getLocalReplicationServerName()+"&action=read&docid="+accNumber;
+      readDocURLString = MetacatUtil.replaceWhiteSpaceForURL(readDocURLString);
       URL u = new URL(readDocURLString);
 
       // Get docid content
@@ -316,9 +316,9 @@
       DocInfoHandler dih = new DocInfoHandler();
       XMLReader docinfoParser = initParser(dih);
       String docInfoURLStr = "https://" + remoteserver +
-                       "?server="+MetaCatUtil.getLocalReplicationServerName()+
+                       "?server="+MetacatUtil.getLocalReplicationServerName()+
                        "&action=getdocumentinfo&docid="+accNumber;
-      docInfoURLStr = MetaCatUtil.replaceWhiteSpaceForURL(docInfoURLStr);
+      docInfoURLStr = MetacatUtil.replaceWhiteSpaceForURL(docInfoURLStr);
       URL docinfoUrl = new URL(docInfoURLStr);
       logMetacat.info("Sending message: " +
                                                   docinfoUrl.toString());
@@ -446,9 +446,9 @@
       DocInfoHandler dih = new DocInfoHandler();
       XMLReader docinfoParser = initParser(dih);
       String docInfoURLString = "https://" + remoteserver +
-                  "?server="+MetaCatUtil.getLocalReplicationServerName()+
+                  "?server="+MetacatUtil.getLocalReplicationServerName()+
                   "&action=getdocumentinfo&docid="+accNumber;
-      docInfoURLString = MetaCatUtil.replaceWhiteSpaceForURL(docInfoURLString);
+      docInfoURLString = MetacatUtil.replaceWhiteSpaceForURL(docInfoURLString);
       URL docinfoUrl = new URL(docInfoURLString);
 
       String docInfoStr = MetacatReplication.getURLContent(docinfoUrl);
@@ -473,9 +473,9 @@
       String datafilePath = PropertyService.getProperty("application.datafilepath");
       // Get data file content
       String readDataURLString = "https://" + remoteserver + "?server="+
-                                        MetaCatUtil.getLocalReplicationServerName()+
+                                        MetacatUtil.getLocalReplicationServerName()+
                                             "&action=readdata&docid="+accNumber;
-      readDataURLString = MetaCatUtil.replaceWhiteSpaceForURL(readDataURLString);
+      readDataURLString = MetacatUtil.replaceWhiteSpaceForURL(readDataURLString);
       URL u = new URL(readDataURLString);
       InputStream input = u.openStream();
       //register data file into xml_documents table and wite data file
@@ -625,7 +625,7 @@
       logMetacat.info("Try to update last_check for server: "+server);
       // Get time from remote server
       URL dateurl = new URL("https://" + server + "?server="+
-      MetaCatUtil.getLocalReplicationServerName()+"&action=gettime");
+      MetacatUtil.getLocalReplicationServerName()+"&action=gettime");
       String datexml = MetacatReplication.getURLContent(dateurl);
       logMetacat.info("datexml: "+datexml);
       if (datexml!=null && !datexml.equals(""))
@@ -698,7 +698,7 @@
         server = replServer.getServerName();
         // Try to get catalog
         URL u = new URL("https://" + server + "?server="+
-        MetaCatUtil.getLocalReplicationServerName()+"&action=getcatalog");
+        MetacatUtil.getLocalReplicationServerName()+"&action=getcatalog");
         logMetacat.info("sending message " + u.toString());
         String catxml = MetacatReplication.getURLContent(u);
 
Index: src/edu/ucsb/nceas/metacat/RelationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/RelationHandler.java	(revision 4698)
@@ -21,7 +21,7 @@
 package edu.ucsb.nceas.metacat;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.morpho.datapackage.Triple;
 import edu.ucsb.nceas.morpho.datapackage.TripleCollection;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
@@ -112,10 +112,10 @@
         logMetacat.info("relationship from triple:"+triple.getRelationship());
         logMetacat.info("object from triple: "+triple.getObject());
         //subject = (new DocumentIdentifier(triple.getSubject())).getIdentifier();
-        subject = MetaCatUtil.getDocIdFromString(triple.getSubject());
+        subject = MetacatUtil.getDocIdFromString(triple.getSubject());
         relationship = triple.getRelationship();
         //object = (new DocumentIdentifier(triple.getObject())).getIdentifier();
-        object = MetaCatUtil.getDocIdFromString(triple.getObject());
+        object = MetacatUtil.getDocIdFromString(triple.getObject());
         
         if (subject != null && relationship != null && object != null)
         {
@@ -192,7 +192,7 @@
 		sql.append("' AND (");
 		Vector accessdoctypes;
 		try {
-			accessdoctypes = MetaCatUtil.getOptionList(PropertyService
+			accessdoctypes = MetacatUtil.getOptionList(PropertyService
 				.getProperty("xml.accessdoctype"));
 		} catch (PropertyNotFoundException pnfe) {
 			throw new SQLException("Could not find access doctype: " + pnfe.getMessage());
Index: src/edu/ucsb/nceas/metacat/DBUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 4698)
@@ -48,7 +48,7 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
@@ -630,7 +630,7 @@
     String docType = null;
     
     // Get docid without rev
-    docIdWithoutRevision = MetaCatUtil.getDocIdFromString(givenDocId);
+    docIdWithoutRevision = MetacatUtil.getDocIdFromString(givenDocId);
     // SQL comand is:
     sqlCommand = "select rev, doctype from xml_documents where docid like ?";
     
@@ -702,7 +702,7 @@
       DBConnection dbConn = null;
       int serialNumber = -1;
       // get rid of rev
-      //docId = MetaCatUtil.getDocIdFromString(docId);
+      //docId = MetacatUtil.getDocIdFromString(docId);
       try {
           //check out DBConnection
           dbConn = DBConnectionPool
Index: src/edu/ucsb/nceas/metacat/ForceReplicationHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ForceReplicationHandler.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/ForceReplicationHandler.java	(revision 4698)
@@ -40,7 +40,7 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 /**
  * A class to asyncronously force the replication of each server
@@ -189,7 +189,7 @@
 										+ server);
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicate&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid + "&dbaction=" + action);
 								//over write the url for delete
 								if (action != null && action.equals(DELETE)) {
@@ -197,7 +197,7 @@
 											+ "?action="
 											+ MetacatReplication.FORCEREPLICATEDELETE
 											+ "&docid=" + docid + "&server="
-											+ MetaCatUtil.getLocalReplicationServerName());
+											+ MetacatUtil.getLocalReplicationServerName());
 
 								}
 							}//if servercode==1
@@ -211,7 +211,7 @@
 										+ server);
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicate&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid + "&dbaction=" + action);
 								//over write the url for delete
 								if (action != null && action.equals(DELETE)) {
@@ -219,7 +219,7 @@
 											+ "?action="
 											+ MetacatReplication.FORCEREPLICATEDELETE
 											+ "&docid=" + docid + "&server="
-											+ MetaCatUtil.getLocalReplicationServerName());
+											+ MetacatUtil.getLocalReplicationServerName());
 
 								}
 							}//else
@@ -233,7 +233,7 @@
 										+ server);
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicatedatafile&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid + "&dbaction=" + action);
 								//over write the url for delete
 								if (action != null && action.equals(DELETE)) {
@@ -241,7 +241,7 @@
 											+ "?action="
 											+ MetacatReplication.FORCEREPLICATEDELETE
 											+ "&docid=" + docid + "&server="
-											+ MetaCatUtil.getLocalReplicationServerName());
+											+ MetacatUtil.getLocalReplicationServerName());
 
 								}
 
@@ -256,7 +256,7 @@
 										+ server);
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicatedatafile&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid + "&dbaction=" + action);
 								//over write the url for delete
 								if (action != null && action.equals(DELETE)) {
@@ -264,7 +264,7 @@
 											+ "?action="
 											+ MetacatReplication.FORCEREPLICATEDELETE
 											+ "&docid=" + docid + "&server="
-											+ MetaCatUtil.getLocalReplicationServerName());
+											+ MetacatUtil.getLocalReplicationServerName());
 
 								}
 
@@ -282,7 +282,7 @@
 							if (homeServerCode == 1) {
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicate&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid);
 
 							}//if homeserver ==1
@@ -294,7 +294,7 @@
 								// If the server is homeserver of the docid, replication it too
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicate&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid);
 
 							}//else if
@@ -306,7 +306,7 @@
 							if (homeServerCode == 1) {
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicatedatafile&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid);
 							}//if
 							else if (replicationServer.getHub()
@@ -317,7 +317,7 @@
 								// If the server is homeserver of the docid, replication it too
 								comeAndGetIt = new URL("https://" + server
 										+ "?action=forcereplicatedatafile&server="
-										+ MetaCatUtil.getLocalReplicationServerName()
+										+ MetacatUtil.getLocalReplicationServerName()
 										+ "&docid=" + docid);
 
 							}//else
